#!/bin/sh

mkdir -p /u01/app/oracle/admin/ORACLE/bdump
mkdir -p /u01/app/oracle/admin/ORACLE/cdump
mkdir -p /u01/app/oracle/admin/ORACLE/create
mkdir -p /u01/app/oracle/admin/ORACLE/pfile
mkdir -p /u01/app/oracle/admin/ORACLE/udump
mkdir -p /u01/app/oracle/admin/ORACLE/logs
mkdir -p /u01/app/oracle/product/9.2.0.1.0/dbs
mkdir -p /u02/oradata/ORACLE
setenv ORACLE_SID ORACLE
echo Add this entry in the oratab: ORACLE:/u01/app/oracle/product/9.2.0.1.0:Y
echo

echo Creating orapwORACLE...
/u01/app/oracle/product/9.2.0.1.0/bin/orapwd file=/u01/app/oracle/product/9.2.0.1.0/dbs/orapwORACLE password=change_on_install
echo Creating database...
/u01/app/oracle/product/9.2.0.1.0/bin/sqlplus /nolog @/u01/app/oracle/admin/ORACLE/scripts/CreateDB.sql
/u01/app/oracle/product/9.2.0.1.0/bin/sqlplus /nolog @/u01/app/oracle/admin/ORACLE/scripts/CreateDBFiles.sql
/u01/app/oracle/product/9.2.0.1.0/bin/sqlplus /nolog @/u01/app/oracle/admin/ORACLE/scripts/CreateDBCatalog.sql
/u01/app/oracle/product/9.2.0.1.0/bin/sqlplus /nolog @/u01/app/oracle/admin/ORACLE/scripts/JServer.sql
/u01/app/oracle/product/9.2.0.1.0/bin/sqlplus /nolog @/u01/app/oracle/admin/ORACLE/scripts/ordinst.sql
/u01/app/oracle/product/9.2.0.1.0/bin/sqlplus /nolog @/u01/app/oracle/admin/ORACLE/scripts/interMedia.sql
/u01/app/oracle/product/9.2.0.1.0/bin/sqlplus /nolog @/u01/app/oracle/admin/ORACLE/scripts/context.sql
/u01/app/oracle/product/9.2.0.1.0/bin/sqlplus /nolog @/u01/app/oracle/admin/ORACLE/scripts/xdb_protocol.sql
/u01/app/oracle/product/9.2.0.1.0/bin/sqlplus /nolog @/u01/app/oracle/admin/ORACLE/scripts/postDBCreation.sql
