connect SYS/change_on_install as SYSDBA
set echo on
spool /u01/app/oracle/admin/ORACLE/logs/CreateDBFiles.log
CREATE TABLESPACE "DRSYS"
	LOGGING
	DATAFILE '/u02/oradata/ORACLE/drsys01.dbf'
		SIZE 20M
		REUSE
		AUTOEXTEND ON
		NEXT 640K
		MAXSIZE UNLIMITED
		EXTENT MANAGEMENT
		LOCAL SEGMENT SPACE MANAGEMENT AUTO;
CREATE TABLESPACE "INDX"
	LOGGING
	DATAFILE '/u02/oradata/ORACLE/indx01.dbf'
		SIZE 25M
		REUSE
		AUTOEXTEND ON
		NEXT  1280K
		MAXSIZE UNLIMITED
		EXTENT MANAGEMENT LOCAL
		SEGMENT SPACE MANAGEMENT AUTO;
CREATE TABLESPACE "TOOLS"
	LOGGING
	DATAFILE '/u02/oradata/ORACLE/tools01.dbf'
		SIZE 10M
		REUSE
		AUTOEXTEND ON
		NEXT 320K
		MAXSIZE UNLIMITED
		EXTENT MANAGEMENT LOCAL
		SEGMENT SPACE MANAGEMENT AUTO;
CREATE TABLESPACE "USERS"
	LOGGING
	DATAFILE '/u02/oradata/ORACLE/users01.dbf'
		SIZE 25M
		REUSE
		AUTOEXTEND ON
		NEXT 1280K
		MAXSIZE UNLIMITED
		EXTENT MANAGEMENT LOCAL
		SEGMENT SPACE MANAGEMENT AUTO;
CREATE TABLESPACE "XDB"
	LOGGING
	DATAFILE '/u02/oradata/ORACLE/xdb01.dbf'
		SIZE 20M
		REUSE
		AUTOEXTEND ON
		NEXT 640K
		MAXSIZE UNLIMITED
		EXTENT MANAGEMENT LOCAL
		SEGMENT SPACE MANAGEMENT AUTO ;
spool off
exit;
